#ifndef XGFXWORLDDPVSPLANES_H
#define XGFXWORLDDPVSPLANES_H

#include "xasset.h"
#include "xcplane.h"

#include <QVector>

class XGfxWorldDpvsPlanes : public XAsset
{
public:
    explicit XGfxWorldDpvsPlanes();
    ~XGfxWorldDpvsPlanes();

    int GetCellCount() const;

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    int aCellCount;
    qint32 aPlanesPtr;
    QVector<XCPlane> aPlanes;
    qint32 aNodesPtr;
    QVector<quint32> aNodes;
    qint32 aSceneEntCellBitsPtr;
    QVector<uint> aSceneEntCellBits;
};

#endif // XGFXWORLDDPVSPLANES_H








